# TimeoffRequests Object

> Source: https://truto.one/docs/api-reference/unified-hris-api/timeoffrequests/

Schema for the `TimeoffRequests` resource in **Unified HRIS API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for timeoffpolicies
- **`description`** _(string)_
  This represents the description of the time off request.
- **`reason`** _(object)_
  This represents the reason of the time off request.
  - **`id`** _(string, required)_
    The unique identifier for timeoff_reason
  - **`name`** _(string)_
    This represents the name of the timeoff_reason.
- **`employee`** _(object)_
  This represents the employee requesting time off.
  - **`id`** _(string, required)_
    The unique identifier for employees
  - **`name`** _(string)_
    This represents the name of the employee.
- **`approver`** _(string)_
  This represents the approver of the time off request.
- **`status`** _(string)_
  This represents the status of the time off request.
- **`employee_note`** _(string)_
  This represents the employee note for the time off request.
- **`units`** _(string)_
  This represents the units of the time off request.
  Allowed: `hours`, `days`, `weeks`, `months`
- **`amount`** _(number)_
  This represents the amount of the time off request.
- **`timeoff_type`** _(string)_
  This represents the time off type of the time off request.
- **`request_policy_type`** _(string)_
  This represents the request type of the time off request.
- **`start_time`** _(string)_
  This represents the start time of the time off request.
- **`end_time`** _(string)_
  This represents the end time of the time off request.
- **`session`** _(string)_
  This represents the session of the time off request.
  Allowed: `full`, `morning`, `afternoon`
- **`created_at`** _(string)_
  This represents the date when the timeoffpolicies was created
- **`updated_at`** _(string)_
  This represents the date when the timeoffpolicies was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/hris/timeoff_requests](/docs/api-reference/unified-hris-api/timeoffrequests/list) — List Timeoff requests
- [POST /unified/hris/timeoff_requests](/docs/api-reference/unified-hris-api/timeoffrequests/create) — Create Timeoff requests
- [GET /unified/hris/timeoff_requests/{id}](/docs/api-reference/unified-hris-api/timeoffrequests/get) — Get Timeoff requests
- [DELETE /unified/hris/timeoff_requests/{id}](/docs/api-reference/unified-hris-api/timeoffrequests/delete) — Delete Timeoff requests
